---
title: 'Window: languagechange event'
slug: Web/API/Window/languagechange_event
tags:
  - Event
  - Experimental
  - HTML DOM
  - Reference
  - Window
---
<div>{{APIRef}}</div>

<p>The <strong><code>languagechange</code></strong> event is fired at the global scope object when the user's preferred language changes.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Bubbles</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Cancelable</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Interface</th>
   <td>{{domxref("Event")}}</td>
  </tr>
  <tr>
   <th scope="row">Event handler</th>
   <td>{{domxref("WindowEventHandlers/onlanguagechange", "onlanguagechange")}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Examples">Examples</h2>

<p>You can use the <code>languagechange</code> event in an {{domxref("EventTarget/addEventListener", "addEventListener")}} method:</p>

<pre class="brush: js">window.addEventListener('languagechange', function() {
  console.log('languagechange event detected!');
});</pre>

<p>Or use the <code><a href="/en-US/docs/Web/API/WindowEventHandlers/onlanguagechange">onlanguagechange</a></code> event handler property:</p>

<pre class="brush: js">window.onlanguagechange = function(event) {
  console.log('languagechange event detected!');
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('HTML WHATWG', 'indices.html#event-languagechange', 'languagechange') }}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.languagechange_event")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("NavigatorLanguage.language", "navigator.language")}}</li>
 <li>{{domxref("NavigatorLanguage.languages", "navigator.languages")}}</li>
 <li>{{domxref("Navigator")}}</li>
 <li>{{domxref("Window.onlanguagechange")}}</li>
</ul>
